import { getPortfolio } from "../../utils";
import AddPropertiesClient from "./AddPropertiesClient";

export default async function Page(props: {
  params: Promise<{ slug: string }>;
}) {
  const { slug } = await props.params;
  const { name: portfolioName } = await getPortfolio(slug);

  return <AddPropertiesClient portfolioId={slug} portfolioName={portfolioName ?? "Portfolio"} />;
}
